# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{passenger}
  s.version = "2.2.15"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Phusion - http://www.phusion.nl/"]
  s.date = %q{2010-06-24}
  s.description = %q{Passenger is an Apache module for Ruby on Rails support.}
  s.email = %q{info@phusion.nl}
  s.executables = ["passenger-spawn-server", "passenger-install-apache2-module", "passenger-install-nginx-module", "passenger-config", "passenger-memory-stats", "passenger-make-enterprisey", "passenger-status", "passenger-stress-test"]
  s.extensions = ["ext/phusion_passenger/extconf.rb"]
  s.extra_rdoc_files = ["README"]
  s.files = ["Rakefile", "README", "DEVELOPERS.TXT", "LICENSE", "INSTALL", "NEWS", "lib/phusion_passenger/abstract_installer.rb", "lib/phusion_passenger/abstract_request_handler.rb", "lib/phusion_passenger/abstract_server.rb", "lib/phusion_passenger/abstract_server_collection.rb", "lib/phusion_passenger/admin_tools/control_process.rb", "lib/phusion_passenger/admin_tools.rb", "lib/phusion_passenger/application.rb", "lib/phusion_passenger/console_text_template.rb", "lib/phusion_passenger/constants.rb", "lib/phusion_passenger/dependencies.rb", "lib/phusion_passenger/events.rb", "lib/phusion_passenger/exceptions.rb", "lib/phusion_passenger/html_template.rb", "lib/phusion_passenger/message_channel.rb", "lib/phusion_passenger/packaging.rb", "lib/phusion_passenger/platform_info.rb", "lib/phusion_passenger/rack/application_spawner.rb", "lib/phusion_passenger/rack/request_handler.rb", "lib/phusion_passenger/railz/application_spawner.rb", "lib/phusion_passenger/railz/cgi_fixed.rb", "lib/phusion_passenger/railz/framework_spawner.rb", "lib/phusion_passenger/railz/request_handler.rb", "lib/phusion_passenger/simple_benchmarking.rb", "lib/phusion_passenger/spawn_manager.rb", "lib/phusion_passenger/utils/rewindable_input.rb", "lib/phusion_passenger/utils.rb", "lib/phusion_passenger/wsgi/application_spawner.rb", "lib/phusion_passenger/wsgi/request_handler.py", "lib/phusion_passenger/templates/app_exited_during_initialization.html.erb", "lib/phusion_passenger/templates/app_init_error.html.erb", "lib/phusion_passenger/templates/database_error.html.erb", "lib/phusion_passenger/templates/error_layout.css", "lib/phusion_passenger/templates/error_layout.html.erb", "lib/phusion_passenger/templates/framework_init_error.html.erb", "lib/phusion_passenger/templates/general_error.html.erb", "lib/phusion_passenger/templates/invalid_app_root.html.erb", "lib/phusion_passenger/templates/load_error.html.erb", "lib/phusion_passenger/templates/version_not_found.html.erb", "lib/phusion_passenger/templates/apache2/apache_must_be_compiled_with_compatible_mpm.txt.erb", "lib/phusion_passenger/templates/apache2/config_snippets.txt.erb", "lib/phusion_passenger/templates/apache2/deployment_example.txt.erb", "lib/phusion_passenger/templates/apache2/no_write_permission_to_passenger_root.txt.erb", "lib/phusion_passenger/templates/apache2/possible_solutions_for_compilation_and_installation_problems.txt.erb", "lib/phusion_passenger/templates/apache2/run_installer_as_root.txt.erb", "lib/phusion_passenger/templates/apache2/welcome.txt.erb", "lib/phusion_passenger/templates/nginx/ask_for_extra_configure_flags.txt.erb", "lib/phusion_passenger/templates/nginx/cannot_write_to_dir.txt.erb", "lib/phusion_passenger/templates/nginx/config_snippets.txt.erb", "lib/phusion_passenger/templates/nginx/config_snippets_inserted.txt.erb", "lib/phusion_passenger/templates/nginx/confirm_extra_configure_flags.txt.erb", "lib/phusion_passenger/templates/nginx/deployment_example.txt.erb", "lib/phusion_passenger/templates/nginx/pcre_could_not_be_downloaded.txt.erb", "lib/phusion_passenger/templates/nginx/pcre_could_not_be_extracted.txt.erb", "lib/phusion_passenger/templates/nginx/possible_solutions_for_compilation_and_installation_problems.txt.erb", "lib/phusion_passenger/templates/nginx/possible_solutions_for_download_and_extraction_problems.txt.erb", "lib/phusion_passenger/templates/nginx/query_download_and_install.txt.erb", "lib/phusion_passenger/templates/nginx/run_installer_as_root.txt.erb", "lib/phusion_passenger/templates/nginx/welcome.txt.erb", "bin/passenger-config", "bin/passenger-install-apache2-module", "bin/passenger-install-nginx-module", "bin/passenger-make-enterprisey", "bin/passenger-memory-stats", "bin/passenger-spawn-server", "bin/passenger-status", "bin/passenger-stress-test", "doc/ApplicationPool algorithm.txt", "doc/Architectural overview.html", "doc/Architectural overview.txt", "doc/definitions.h", "doc/Doxyfile", "doc/Security of user switching support.html", "doc/Security of user switching support.txt", "doc/Users guide Apache.html", "doc/Users guide Apache.txt", "doc/Users guide Nginx.html", "doc/Users guide Nginx.txt", "doc/cxxapi/AbstractSpawnManager_8h-source.html", "doc/cxxapi/Account_8h-source.html", "doc/cxxapi/AccountsDatabase_8h-source.html", "doc/cxxapi/AgentsStarter_8h-source.html", "doc/cxxapi/annotated.html", "doc/cxxapi/apache2_2Configuration_8h-source.html", "doc/cxxapi/BacktracesServer_8h-source.html", "doc/cxxapi/Base64_8h-source.html", "doc/cxxapi/BCrypt_8h-source.html", "doc/cxxapi/Blowfish_8h-source.html", "doc/cxxapi/Bucket_8h-source.html", "doc/cxxapi/Bucket_8h_source.html", "doc/cxxapi/CachedFileStat_8h-source.html", "doc/cxxapi/classAgentWatcher-members.html", "doc/cxxapi/classAgentWatcher.html", "doc/cxxapi/classClient-members.html", "doc/cxxapi/classClient.html", "doc/cxxapi/classes.html", "doc/cxxapi/classHooks-members.html", "doc/cxxapi/classHooks.html", "doc/cxxapi/classPassenger_1_1AbstractSpawnManager-members.html", "doc/cxxapi/classPassenger_1_1AbstractSpawnManager.html", "doc/cxxapi/classPassenger_1_1AbstractSpawnManager__inherit__graph.map", "doc/cxxapi/classPassenger_1_1AbstractSpawnManager__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1AbstractSpawnManager__inherit__graph.png", "doc/cxxapi/classPassenger_1_1ArgumentException-members.html", "doc/cxxapi/classPassenger_1_1ArgumentException.html", "doc/cxxapi/classPassenger_1_1ArrayReader-members.html", "doc/cxxapi/classPassenger_1_1ArrayReader.html", "doc/cxxapi/classPassenger_1_1BacktracesServer-members.html", "doc/cxxapi/classPassenger_1_1BacktracesServer.html", "doc/cxxapi/classPassenger_1_1BacktracesServer__inherit__graph.map", "doc/cxxapi/classPassenger_1_1BacktracesServer__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1BacktracesServer__inherit__graph.png", "doc/cxxapi/classPassenger_1_1BufferedUpload-members.html", "doc/cxxapi/classPassenger_1_1BufferedUpload.html", "doc/cxxapi/classPassenger_1_1BusyException-members.html", "doc/cxxapi/classPassenger_1_1BusyException.html", "doc/cxxapi/classPassenger_1_1ConfigurationException-members.html", "doc/cxxapi/classPassenger_1_1ConfigurationException.html", "doc/cxxapi/classPassenger_1_1DirectoryMapper-members.html", "doc/cxxapi/classPassenger_1_1DirectoryMapper.html", "doc/cxxapi/classPassenger_1_1EOFException-members.html", "doc/cxxapi/classPassenger_1_1EOFException.html", "doc/cxxapi/classPassenger_1_1EOFException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1EOFException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1EOFException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1EventFd-members.html", "doc/cxxapi/classPassenger_1_1EventFd.html", "doc/cxxapi/classPassenger_1_1FileChangeChecker-members.html", "doc/cxxapi/classPassenger_1_1FileChangeChecker.html", "doc/cxxapi/classPassenger_1_1FileDescriptor-members.html", "doc/cxxapi/classPassenger_1_1FileDescriptor.html", "doc/cxxapi/classPassenger_1_1FileNotFoundException-members.html", "doc/cxxapi/classPassenger_1_1FileNotFoundException.html", "doc/cxxapi/classPassenger_1_1FileNotFoundException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1FileNotFoundException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1FileNotFoundException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1FileSystemException-members.html", "doc/cxxapi/classPassenger_1_1FileSystemException.html", "doc/cxxapi/classPassenger_1_1FileSystemException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1FileSystemException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1FileSystemException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1HttpStatusExtractor-members.html", "doc/cxxapi/classPassenger_1_1HttpStatusExtractor.html", "doc/cxxapi/classPassenger_1_1IOException-members.html", "doc/cxxapi/classPassenger_1_1IOException.html", "doc/cxxapi/classPassenger_1_1IOException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1IOException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1IOException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1MemZeroGuard-members.html", "doc/cxxapi/classPassenger_1_1MemZeroGuard.html", "doc/cxxapi/classPassenger_1_1MessageChannel-members.html", "doc/cxxapi/classPassenger_1_1MessageChannel.html", "doc/cxxapi/classPassenger_1_1MessageServer-members.html", "doc/cxxapi/classPassenger_1_1MessageServer.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1ClientContext-members.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1ClientContext.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1ClientContext__inherit__graph.map", "doc/cxxapi/classPassenger_1_1MessageServer_1_1ClientContext__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1MessageServer_1_1ClientContext__inherit__graph.png", "doc/cxxapi/classPassenger_1_1MessageServer_1_1CommonClientContext-members.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1CommonClientContext.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1CommonClientContext__inherit__graph.map", "doc/cxxapi/classPassenger_1_1MessageServer_1_1CommonClientContext__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1MessageServer_1_1CommonClientContext__inherit__graph.png", "doc/cxxapi/classPassenger_1_1MessageServer_1_1Handler-members.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1Handler.html", "doc/cxxapi/classPassenger_1_1MessageServer_1_1Handler__inherit__graph.map", "doc/cxxapi/classPassenger_1_1MessageServer_1_1Handler__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1MessageServer_1_1Handler__inherit__graph.png", "doc/cxxapi/classPassenger_1_1Process-members.html", "doc/cxxapi/classPassenger_1_1Process.html", "doc/cxxapi/classPassenger_1_1RandomGenerator-members.html", "doc/cxxapi/classPassenger_1_1RandomGenerator.html", "doc/cxxapi/classPassenger_1_1RuntimeException-members.html", "doc/cxxapi/classPassenger_1_1RuntimeException.html", "doc/cxxapi/classPassenger_1_1ScalarReader-members.html", "doc/cxxapi/classPassenger_1_1ScalarReader.html", "doc/cxxapi/classPassenger_1_1ScgiRequestParser-members.html", "doc/cxxapi/classPassenger_1_1ScgiRequestParser.html", "doc/cxxapi/classPassenger_1_1SecurityException-members.html", "doc/cxxapi/classPassenger_1_1SecurityException.html", "doc/cxxapi/classPassenger_1_1Session-members.html", "doc/cxxapi/classPassenger_1_1Session.html", "doc/cxxapi/classPassenger_1_1Session__inherit__graph.map", "doc/cxxapi/classPassenger_1_1Session__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1Session__inherit__graph.png", "doc/cxxapi/classPassenger_1_1SpawnException-members.html", "doc/cxxapi/classPassenger_1_1SpawnException.html", "doc/cxxapi/classPassenger_1_1SpawnManager-members.html", "doc/cxxapi/classPassenger_1_1SpawnManager.html", "doc/cxxapi/classPassenger_1_1SpawnManager__inherit__graph.map", "doc/cxxapi/classPassenger_1_1SpawnManager__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1SpawnManager__inherit__graph.png", "doc/cxxapi/classPassenger_1_1StandardSession-members.html", "doc/cxxapi/classPassenger_1_1StandardSession.html", "doc/cxxapi/classPassenger_1_1StandardSession__inherit__graph.map", "doc/cxxapi/classPassenger_1_1StandardSession__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1StandardSession__inherit__graph.png", "doc/cxxapi/classPassenger_1_1StaticString-members.html", "doc/cxxapi/classPassenger_1_1StaticString.html", "doc/cxxapi/classPassenger_1_1SystemException-members.html", "doc/cxxapi/classPassenger_1_1SystemException.html", "doc/cxxapi/classPassenger_1_1SystemException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1SystemException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1SystemException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1SystemTime-members.html", "doc/cxxapi/classPassenger_1_1SystemTime.html", "doc/cxxapi/classPassenger_1_1TimeoutException-members.html", "doc/cxxapi/classPassenger_1_1TimeoutException.html", "doc/cxxapi/classPassenger_1_1Timer-members.html", "doc/cxxapi/classPassenger_1_1Timer.html", "doc/cxxapi/classPassenger_1_1TimeRetrievalException-members.html", "doc/cxxapi/classPassenger_1_1TimeRetrievalException.html", "doc/cxxapi/classPassenger_1_1TimeRetrievalException__inherit__graph.map", "doc/cxxapi/classPassenger_1_1TimeRetrievalException__inherit__graph.md5", "doc/cxxapi/classPassenger_1_1TimeRetrievalException__inherit__graph.png", "doc/cxxapi/classPassenger_1_1Uint16Reader-members.html", "doc/cxxapi/classPassenger_1_1Uint16Reader.html", "doc/cxxapi/classPassenger_1_1Uint32Reader-members.html", "doc/cxxapi/classPassenger_1_1Uint32Reader.html", "doc/cxxapi/classServer-members.html", "doc/cxxapi/classServer.html", "doc/cxxapi/classServerInstanceDirToucher-members.html", "doc/cxxapi/classServerInstanceDirToucher.html", "doc/cxxapi/Configuration_8h-source.html", "doc/cxxapi/Configuration_8h_source.html", "doc/cxxapi/Constants_8h-source.html", "doc/cxxapi/ContentHandler_8h-source.html", "doc/cxxapi/definitions_8h-source.html", "doc/cxxapi/definitions_8h_source.html", "doc/cxxapi/DirectoryMapper_8h-source.html", "doc/cxxapi/DirectoryMapper_8h_source.html", "doc/cxxapi/doxygen.css", "doc/cxxapi/doxygen.png", "doc/cxxapi/EventedServer_8h-source.html", "doc/cxxapi/Exceptions_8h-source.html", "doc/cxxapi/FileChangeChecker_8h-source.html", "doc/cxxapi/FileDescriptor_8h-source.html", "doc/cxxapi/files.html", "doc/cxxapi/ftv2blank.png", "doc/cxxapi/ftv2doc.png", "doc/cxxapi/ftv2folderclosed.png", "doc/cxxapi/ftv2folderopen.png", "doc/cxxapi/ftv2lastnode.png", "doc/cxxapi/ftv2link.png", "doc/cxxapi/ftv2mlastnode.png", "doc/cxxapi/ftv2mnode.png", "doc/cxxapi/ftv2node.png", "doc/cxxapi/ftv2plastnode.png", "doc/cxxapi/ftv2pnode.png", "doc/cxxapi/ftv2vertline.png", "doc/cxxapi/functions.html", "doc/cxxapi/functions_enum.html", "doc/cxxapi/functions_eval.html", "doc/cxxapi/functions_func.html", "doc/cxxapi/functions_vars.html", "doc/cxxapi/graph_legend.dot", "doc/cxxapi/graph_legend.html", "doc/cxxapi/graph_legend.png", "doc/cxxapi/group__Configuration.html", "doc/cxxapi/group__Configuration.map", "doc/cxxapi/group__Configuration.png", "doc/cxxapi/group__Core.html", "doc/cxxapi/group__Core.map", "doc/cxxapi/group__Core.png", "doc/cxxapi/group__Exceptions.html", "doc/cxxapi/group__Hooks.html", "doc/cxxapi/group__Hooks.map", "doc/cxxapi/group__Hooks.png", "doc/cxxapi/group__Support.html", "doc/cxxapi/hierarchy.html", "doc/cxxapi/Hooks_8h-source.html", "doc/cxxapi/Hooks_8h_source.html", "doc/cxxapi/HttpStatusExtractor_8h-source.html", "doc/cxxapi/index.html", "doc/cxxapi/inherit__graph__0.map", "doc/cxxapi/inherit__graph__0.md5", "doc/cxxapi/inherit__graph__0.png", "doc/cxxapi/inherit__graph__1.map", "doc/cxxapi/inherit__graph__1.md5", "doc/cxxapi/inherit__graph__1.png", "doc/cxxapi/inherit__graph__10.map", "doc/cxxapi/inherit__graph__10.md5", "doc/cxxapi/inherit__graph__10.png", "doc/cxxapi/inherit__graph__11.map", "doc/cxxapi/inherit__graph__11.md5", "doc/cxxapi/inherit__graph__11.png", "doc/cxxapi/inherit__graph__12.map", "doc/cxxapi/inherit__graph__12.md5", "doc/cxxapi/inherit__graph__12.png", "doc/cxxapi/inherit__graph__13.map", "doc/cxxapi/inherit__graph__13.md5", "doc/cxxapi/inherit__graph__13.png", "doc/cxxapi/inherit__graph__14.map", "doc/cxxapi/inherit__graph__14.md5", "doc/cxxapi/inherit__graph__14.png", "doc/cxxapi/inherit__graph__15.map", "doc/cxxapi/inherit__graph__15.md5", "doc/cxxapi/inherit__graph__15.png", "doc/cxxapi/inherit__graph__16.map", "doc/cxxapi/inherit__graph__16.md5", "doc/cxxapi/inherit__graph__16.png", "doc/cxxapi/inherit__graph__17.map", "doc/cxxapi/inherit__graph__17.md5", "doc/cxxapi/inherit__graph__17.png", "doc/cxxapi/inherit__graph__18.map", "doc/cxxapi/inherit__graph__18.md5", "doc/cxxapi/inherit__graph__18.png", "doc/cxxapi/inherit__graph__19.map", "doc/cxxapi/inherit__graph__19.md5", "doc/cxxapi/inherit__graph__19.png", "doc/cxxapi/inherit__graph__2.map", "doc/cxxapi/inherit__graph__2.md5", "doc/cxxapi/inherit__graph__2.png", "doc/cxxapi/inherit__graph__20.map", "doc/cxxapi/inherit__graph__20.md5", "doc/cxxapi/inherit__graph__20.png", "doc/cxxapi/inherit__graph__21.map", "doc/cxxapi/inherit__graph__21.md5", "doc/cxxapi/inherit__graph__21.png", "doc/cxxapi/inherit__graph__22.map", "doc/cxxapi/inherit__graph__22.md5", "doc/cxxapi/inherit__graph__22.png", "doc/cxxapi/inherit__graph__23.map", "doc/cxxapi/inherit__graph__23.md5", "doc/cxxapi/inherit__graph__23.png", "doc/cxxapi/inherit__graph__24.map", "doc/cxxapi/inherit__graph__24.md5", "doc/cxxapi/inherit__graph__24.png", "doc/cxxapi/inherit__graph__25.map", "doc/cxxapi/inherit__graph__25.md5", "doc/cxxapi/inherit__graph__25.png", "doc/cxxapi/inherit__graph__26.map", "doc/cxxapi/inherit__graph__26.md5", "doc/cxxapi/inherit__graph__26.png", "doc/cxxapi/inherit__graph__27.map", "doc/cxxapi/inherit__graph__27.md5", "doc/cxxapi/inherit__graph__27.png", "doc/cxxapi/inherit__graph__28.map", "doc/cxxapi/inherit__graph__28.md5", "doc/cxxapi/inherit__graph__28.png", "doc/cxxapi/inherit__graph__29.map", "doc/cxxapi/inherit__graph__29.md5", "doc/cxxapi/inherit__graph__29.png", "doc/cxxapi/inherit__graph__3.map", "doc/cxxapi/inherit__graph__3.md5", "doc/cxxapi/inherit__graph__3.png", "doc/cxxapi/inherit__graph__30.map", "doc/cxxapi/inherit__graph__30.md5", "doc/cxxapi/inherit__graph__30.png", "doc/cxxapi/inherit__graph__31.map", "doc/cxxapi/inherit__graph__31.md5", "doc/cxxapi/inherit__graph__31.png", "doc/cxxapi/inherit__graph__32.map", "doc/cxxapi/inherit__graph__32.md5", "doc/cxxapi/inherit__graph__32.png", "doc/cxxapi/inherit__graph__33.map", "doc/cxxapi/inherit__graph__33.md5", "doc/cxxapi/inherit__graph__33.png", "doc/cxxapi/inherit__graph__34.map", "doc/cxxapi/inherit__graph__34.md5", "doc/cxxapi/inherit__graph__34.png", "doc/cxxapi/inherit__graph__35.map", "doc/cxxapi/inherit__graph__35.md5", "doc/cxxapi/inherit__graph__35.png", "doc/cxxapi/inherit__graph__36.map", "doc/cxxapi/inherit__graph__36.md5", "doc/cxxapi/inherit__graph__36.png", "doc/cxxapi/inherit__graph__37.map", "doc/cxxapi/inherit__graph__37.md5", "doc/cxxapi/inherit__graph__37.png", "doc/cxxapi/inherit__graph__38.map", "doc/cxxapi/inherit__graph__38.md5", "doc/cxxapi/inherit__graph__38.png", "doc/cxxapi/inherit__graph__39.map", "doc/cxxapi/inherit__graph__39.md5", "doc/cxxapi/inherit__graph__39.png", "doc/cxxapi/inherit__graph__4.map", "doc/cxxapi/inherit__graph__4.md5", "doc/cxxapi/inherit__graph__4.png", "doc/cxxapi/inherit__graph__5.map", "doc/cxxapi/inherit__graph__5.md5", "doc/cxxapi/inherit__graph__5.png", "doc/cxxapi/inherit__graph__6.map", "doc/cxxapi/inherit__graph__6.md5", "doc/cxxapi/inherit__graph__6.png", "doc/cxxapi/inherit__graph__7.map", "doc/cxxapi/inherit__graph__7.md5", "doc/cxxapi/inherit__graph__7.png", "doc/cxxapi/inherit__graph__8.map", "doc/cxxapi/inherit__graph__8.md5", "doc/cxxapi/inherit__graph__8.png", "doc/cxxapi/inherit__graph__9.map", "doc/cxxapi/inherit__graph__9.md5", "doc/cxxapi/inherit__graph__9.png", "doc/cxxapi/inherits.html", "doc/cxxapi/Logging_8h-source.html", "doc/cxxapi/LoggingServer_8h-source.html", "doc/cxxapi/main.html", "doc/cxxapi/md5_8h-source.html", "doc/cxxapi/MessageChannel_8h-source.html", "doc/cxxapi/MessageClient_8h-source.html", "doc/cxxapi/MessageReadersWriters_8h-source.html", "doc/cxxapi/MessageServer_8h-source.html", "doc/cxxapi/modules.html", "doc/cxxapi/namespacemembers.html", "doc/cxxapi/namespacemembers_enum.html", "doc/cxxapi/namespacemembers_eval.html", "doc/cxxapi/namespacemembers_func.html", "doc/cxxapi/namespacemembers_type.html", "doc/cxxapi/namespacePassenger.html", "doc/cxxapi/namespaces.html", "doc/cxxapi/nginx_2Configuration_8h-source.html", "doc/cxxapi/ngx__http__passenger__module_8h-source.html", "doc/cxxapi/PoolOptions_8h-source.html", "doc/cxxapi/Process_8h-source.html", "doc/cxxapi/RandomGenerator_8h-source.html", "doc/cxxapi/ResourceLocator_8h-source.html", "doc/cxxapi/ScgiRequestParser_8h-source.html", "doc/cxxapi/ServerInstanceDir_8h-source.html", "doc/cxxapi/Session_8h-source.html", "doc/cxxapi/SpawnManager_8h-source.html", "doc/cxxapi/StaticContentHandler_8h-source.html", "doc/cxxapi/StaticString_8h-source.html", "doc/cxxapi/StringListCreator_8h-source.html", "doc/cxxapi/structPassenger_1_1AnythingToString-members.html", "doc/cxxapi/structPassenger_1_1AnythingToString.html", "doc/cxxapi/structPassenger_1_1AnythingToString_3_01vector_3_01StaticString_01_4_01_4-members.html", "doc/cxxapi/structPassenger_1_1AnythingToString_3_01vector_3_01StaticString_01_4_01_4.html", "doc/cxxapi/structPassenger_1_1AnythingToString_3_01vector_3_01string_01_4_01_4-members.html", "doc/cxxapi/structPassenger_1_1AnythingToString_3_01vector_3_01string_01_4_01_4.html", "doc/cxxapi/structPassenger_1_1MessageServer_1_1DisconnectEventBroadcastGuard-members.html", "doc/cxxapi/structPassenger_1_1MessageServer_1_1DisconnectEventBroadcastGuard.html", "doc/cxxapi/structPassenger_1_1PoolOptions-members.html", "doc/cxxapi/structPassenger_1_1PoolOptions.html", "doc/cxxapi/structPassenger_1_1StaticString_1_1Hash-members.html", "doc/cxxapi/structPassenger_1_1StaticString_1_1Hash.html", "doc/cxxapi/SystemTime_8h-source.html", "doc/cxxapi/tab_b.gif", "doc/cxxapi/tab_l.gif", "doc/cxxapi/tab_r.gif", "doc/cxxapi/tabs.css", "doc/cxxapi/Timer_8h-source.html", "doc/cxxapi/tree.html", "doc/cxxapi/Utils_8h-source.html", "doc/cxxapi/Version_8h-source.html", "doc/images/by_sa.png", "doc/images/conservative_spawning.png", "doc/images/conservative_spawning.svg", "doc/images/passenger_architecture.png", "doc/images/passenger_architecture.svg", "doc/images/phusion_banner.png", "doc/images/smart-lv2.png", "doc/images/smart-lv2.svg", "doc/images/spawn_server_architecture.png", "doc/images/spawn_server_architecture.svg", "doc/images/typical_isolated_web_application.png", "doc/images/typical_isolated_web_application.svg", "doc/template/horo.rb", "doc/users_guide_snippets/analysis_and_system_maintenance_tools.txt", "doc/users_guide_snippets/appendix_a_about.txt", "doc/users_guide_snippets/appendix_b_terminology.txt", "doc/users_guide_snippets/appendix_c_spawning_methods.txt", "doc/users_guide_snippets/global_queueing_explained.txt", "doc/users_guide_snippets/rackup_specifications.txt", "doc/users_guide_snippets/rails_spawn_method.txt", "doc/users_guide_snippets/tips.txt", "doc/images/icons/caution.png", "doc/images/icons/example.png", "doc/images/icons/home.png", "doc/images/icons/important.png", "doc/images/icons/next.png", "doc/images/icons/note.png", "doc/images/icons/prev.png", "doc/images/icons/README", "doc/images/icons/tip.png", "doc/images/icons/up.png", "doc/images/icons/warning.png", "doc/images/icons/callouts/1.png", "doc/images/icons/callouts/10.png", "doc/images/icons/callouts/11.png", "doc/images/icons/callouts/12.png", "doc/images/icons/callouts/13.png", "doc/images/icons/callouts/14.png", "doc/images/icons/callouts/15.png", "doc/images/icons/callouts/2.png", "doc/images/icons/callouts/3.png", "doc/images/icons/callouts/4.png", "doc/images/icons/callouts/5.png", "doc/images/icons/callouts/6.png", "doc/images/icons/callouts/7.png", "doc/images/icons/callouts/8.png", "doc/images/icons/callouts/9.png", "man/passenger-config.1", "man/passenger-make-enterprisey.8", "man/passenger-memory-stats.8", "man/passenger-status.8", "man/passenger-stress-test.1", "debian/compat", "debian/control", "debian/postinst", "debian/prerm", "ext/common/ApplicationPoolServerExecutable.cpp", "ext/common/Base64.cpp", "ext/common/CachedFileStat.cpp", "ext/common/Logging.cpp", "ext/common/SystemTime.cpp", "ext/common/Utils.cpp", "ext/common/Application.h", "ext/common/ApplicationPool.h", "ext/common/ApplicationPoolServer.h", "ext/common/ApplicationPoolStatusReporter.h", "ext/common/Base64.h", "ext/common/CachedFileStat.h", "ext/common/DummySpawnManager.h", "ext/common/Exceptions.h", "ext/common/FileChangeChecker.h", "ext/common/Logging.h", "ext/common/MessageChannel.h", "ext/common/PoolOptions.h", "ext/common/SpawnManager.h", "ext/common/StandardApplicationPool.h", "ext/common/StaticString.h", "ext/common/StringListCreator.h", "ext/common/SystemTime.h", "ext/common/Timer.h", "ext/common/Utils.h", "ext/common/Version.h", "ext/common/CachedFileStat.hpp", "ext/apache2/Bucket.cpp", "ext/apache2/Configuration.cpp", "ext/apache2/Hooks.cpp", "ext/apache2/Bucket.h", "ext/apache2/Configuration.h", "ext/apache2/DirectoryMapper.h", "ext/apache2/Hooks.h", "ext/apache2/mod_passenger.c", "ext/apache2/LICENSE-CNRI.TXT", "ext/nginx/Configuration.c", "ext/nginx/ContentHandler.c", "ext/nginx/ngx_http_passenger_module.c", "ext/nginx/StaticContentHandler.c", "ext/nginx/HelperServer.cpp", "ext/nginx/Configuration.h", "ext/nginx/ContentHandler.h", "ext/nginx/HttpStatusExtractor.h", "ext/nginx/ngx_http_passenger_module.h", "ext/nginx/ScgiRequestParser.h", "ext/nginx/StaticContentHandler.h", "ext/nginx/config", "ext/boost/assert.hpp", "ext/boost/bind.hpp", "ext/boost/call_traits.hpp", "ext/boost/checked_delete.hpp", "ext/boost/concept_check.hpp", "ext/boost/config.hpp", "ext/boost/cstdint.hpp", "ext/boost/current_function.hpp", "ext/boost/enable_shared_from_this.hpp", "ext/boost/function.hpp", "ext/boost/function_equal.hpp", "ext/boost/get_pointer.hpp", "ext/boost/implicit_cast.hpp", "ext/boost/integer_traits.hpp", "ext/boost/io_fwd.hpp", "ext/boost/is_placeholder.hpp", "ext/boost/iterator.hpp", "ext/boost/lexical_cast.hpp", "ext/boost/limits.hpp", "ext/boost/mem_fn.hpp", "ext/boost/next_prior.hpp", "ext/boost/non_type.hpp", "ext/boost/noncopyable.hpp", "ext/boost/none.hpp", "ext/boost/none_t.hpp", "ext/boost/operators.hpp", "ext/boost/optional.hpp", "ext/boost/ref.hpp", "ext/boost/shared_ptr.hpp", "ext/boost/static_assert.hpp", "ext/boost/thread.hpp", "ext/boost/throw_exception.hpp", "ext/boost/token_functions.hpp", "ext/boost/token_iterator.hpp", "ext/boost/tokenizer.hpp", "ext/boost/type.hpp", "ext/boost/utility.hpp", "ext/boost/visit_each.hpp", "ext/boost/weak_ptr.hpp", "ext/boost/LICENSE.TXT", "ext/boost/VERSION.TXT", "ext/boost/algorithm/string/case_conv.hpp", "ext/boost/algorithm/string/compare.hpp", "ext/boost/algorithm/string/concept.hpp", "ext/boost/algorithm/string/config.hpp", "ext/boost/algorithm/string/constants.hpp", "ext/boost/algorithm/string/detail/case_conv.hpp", "ext/boost/algorithm/string/detail/find_format.hpp", "ext/boost/algorithm/string/detail/find_format_all.hpp", "ext/boost/algorithm/string/detail/find_format_store.hpp", "ext/boost/algorithm/string/detail/finder.hpp", "ext/boost/algorithm/string/detail/formatter.hpp", "ext/boost/algorithm/string/detail/replace_storage.hpp", "ext/boost/algorithm/string/detail/sequence.hpp", "ext/boost/algorithm/string/detail/util.hpp", "ext/boost/algorithm/string/erase.hpp", "ext/boost/algorithm/string/find_format.hpp", "ext/boost/algorithm/string/finder.hpp", "ext/boost/algorithm/string/formatter.hpp", "ext/boost/algorithm/string/replace.hpp", "ext/boost/algorithm/string/sequence_traits.hpp", "ext/boost/algorithm/string/yes_no_type.hpp", "ext/boost/bind/arg.hpp", "ext/boost/bind/bind_cc.hpp", "ext/boost/bind/bind_mf_cc.hpp", "ext/boost/bind/bind_template.hpp", "ext/boost/bind/mem_fn_cc.hpp", "ext/boost/bind/mem_fn_template.hpp", "ext/boost/bind/placeholders.hpp", "ext/boost/bind/storage.hpp", "ext/boost/concept/assert.hpp", "ext/boost/concept/detail/concept_def.hpp", "ext/boost/concept/detail/concept_undef.hpp", "ext/boost/concept/detail/general.hpp", "ext/boost/concept/detail/has_constraints.hpp", "ext/boost/concept/usage.hpp", "ext/boost/config/abi/borland_prefix.hpp", "ext/boost/config/abi/borland_suffix.hpp", "ext/boost/config/abi/msvc_prefix.hpp", "ext/boost/config/abi/msvc_suffix.hpp", "ext/boost/config/abi_prefix.hpp", "ext/boost/config/abi_suffix.hpp", "ext/boost/config/auto_link.hpp", "ext/boost/config/compiler/borland.hpp", "ext/boost/config/compiler/comeau.hpp", "ext/boost/config/compiler/common_edg.hpp", "ext/boost/config/compiler/compaq_cxx.hpp", "ext/boost/config/compiler/digitalmars.hpp", "ext/boost/config/compiler/gcc.hpp", "ext/boost/config/compiler/gcc_xml.hpp", "ext/boost/config/compiler/greenhills.hpp", "ext/boost/config/compiler/hp_acc.hpp", "ext/boost/config/compiler/intel.hpp", "ext/boost/config/compiler/kai.hpp", "ext/boost/config/compiler/metrowerks.hpp", "ext/boost/config/compiler/mpw.hpp", "ext/boost/config/compiler/pgi.hpp", "ext/boost/config/compiler/sgi_mipspro.hpp", "ext/boost/config/compiler/sunpro_cc.hpp", "ext/boost/config/compiler/vacpp.hpp", "ext/boost/config/compiler/visualc.hpp", "ext/boost/config/no_tr1/complex.hpp", "ext/boost/config/no_tr1/functional.hpp", "ext/boost/config/no_tr1/memory.hpp", "ext/boost/config/no_tr1/utility.hpp", "ext/boost/config/platform/aix.hpp", "ext/boost/config/platform/amigaos.hpp", "ext/boost/config/platform/beos.hpp", "ext/boost/config/platform/bsd.hpp", "ext/boost/config/platform/cygwin.hpp", "ext/boost/config/platform/hpux.hpp", "ext/boost/config/platform/irix.hpp", "ext/boost/config/platform/linux.hpp", "ext/boost/config/platform/macos.hpp", "ext/boost/config/platform/qnxnto.hpp", "ext/boost/config/platform/solaris.hpp", "ext/boost/config/platform/win32.hpp", "ext/boost/config/posix_features.hpp", "ext/boost/config/requires_threads.hpp", "ext/boost/config/select_compiler_config.hpp", "ext/boost/config/select_platform_config.hpp", "ext/boost/config/select_stdlib_config.hpp", "ext/boost/config/stdlib/dinkumware.hpp", "ext/boost/config/stdlib/libcomo.hpp", "ext/boost/config/stdlib/libstdcpp3.hpp", "ext/boost/config/stdlib/modena.hpp", "ext/boost/config/stdlib/msl.hpp", "ext/boost/config/stdlib/roguewave.hpp", "ext/boost/config/stdlib/sgi.hpp", "ext/boost/config/stdlib/stlport.hpp", "ext/boost/config/stdlib/vacpp.hpp", "ext/boost/config/suffix.hpp", "ext/boost/config/user.hpp", "ext/boost/date_time/adjust_functors.hpp", "ext/boost/date_time/c_time.hpp", "ext/boost/date_time/compiler_config.hpp", "ext/boost/date_time/constrained_value.hpp", "ext/boost/date_time/date.hpp", "ext/boost/date_time/date_clock_device.hpp", "ext/boost/date_time/date_defs.hpp", "ext/boost/date_time/date_duration.hpp", "ext/boost/date_time/date_duration_types.hpp", "ext/boost/date_time/date_facet.hpp", "ext/boost/date_time/date_format_simple.hpp", "ext/boost/date_time/date_formatting.hpp", "ext/boost/date_time/date_formatting_limited.hpp", "ext/boost/date_time/date_formatting_locales.hpp", "ext/boost/date_time/date_generator_formatter.hpp", "ext/boost/date_time/date_generator_parser.hpp", "ext/boost/date_time/date_generators.hpp", "ext/boost/date_time/date_iterator.hpp", "ext/boost/date_time/date_names_put.hpp", "ext/boost/date_time/date_parsing.hpp", "ext/boost/date_time/dst_rules.hpp", "ext/boost/date_time/filetime_functions.hpp", "ext/boost/date_time/format_date_parser.hpp", "ext/boost/date_time/gregorian/conversion.hpp", "ext/boost/date_time/gregorian/formatters.hpp", "ext/boost/date_time/gregorian/formatters_limited.hpp", "ext/boost/date_time/gregorian/greg_calendar.hpp", "ext/boost/date_time/gregorian/greg_date.hpp", "ext/boost/date_time/gregorian/greg_day.hpp", "ext/boost/date_time/gregorian/greg_day_of_year.hpp", "ext/boost/date_time/gregorian/greg_duration.hpp", "ext/boost/date_time/gregorian/greg_duration_types.hpp", "ext/boost/date_time/gregorian/greg_month.hpp", "ext/boost/date_time/gregorian/greg_weekday.hpp", "ext/boost/date_time/gregorian/greg_year.hpp", "ext/boost/date_time/gregorian/greg_ymd.hpp", "ext/boost/date_time/gregorian/gregorian.hpp", "ext/boost/date_time/gregorian/gregorian_io.hpp", "ext/boost/date_time/gregorian/gregorian_types.hpp", "ext/boost/date_time/gregorian/parsers.hpp", "ext/boost/date_time/gregorian_calendar.hpp", "ext/boost/date_time/int_adapter.hpp", "ext/boost/date_time/iso_format.hpp", "ext/boost/date_time/locale_config.hpp", "ext/boost/date_time/microsec_time_clock.hpp", "ext/boost/date_time/parse_format_base.hpp", "ext/boost/date_time/period.hpp", "ext/boost/date_time/period_formatter.hpp", "ext/boost/date_time/period_parser.hpp", "ext/boost/date_time/posix_time/conversion.hpp", "ext/boost/date_time/posix_time/date_duration_operators.hpp", "ext/boost/date_time/posix_time/posix_time.hpp", "ext/boost/date_time/posix_time/posix_time_config.hpp", "ext/boost/date_time/posix_time/posix_time_duration.hpp", "ext/boost/date_time/posix_time/posix_time_io.hpp", "ext/boost/date_time/posix_time/posix_time_system.hpp", "ext/boost/date_time/posix_time/posix_time_types.hpp", "ext/boost/date_time/posix_time/ptime.hpp", "ext/boost/date_time/posix_time/time_formatters.hpp", "ext/boost/date_time/posix_time/time_parsers.hpp", "ext/boost/date_time/posix_time/time_period.hpp", "ext/boost/date_time/special_defs.hpp", "ext/boost/date_time/special_values_formatter.hpp", "ext/boost/date_time/special_values_parser.hpp", "ext/boost/date_time/string_convert.hpp", "ext/boost/date_time/string_parse_tree.hpp", "ext/boost/date_time/strings_from_facet.hpp", "ext/boost/date_time/time.hpp", "ext/boost/date_time/time_clock.hpp", "ext/boost/date_time/time_defs.hpp", "ext/boost/date_time/time_duration.hpp", "ext/boost/date_time/time_facet.hpp", "ext/boost/date_time/time_formatting_streams.hpp", "ext/boost/date_time/time_iterator.hpp", "ext/boost/date_time/time_parsing.hpp", "ext/boost/date_time/time_resolution_traits.hpp", "ext/boost/date_time/time_system_counted.hpp", "ext/boost/date_time/time_system_split.hpp", "ext/boost/date_time/wrapping_int.hpp", "ext/boost/date_time/year_month_day.hpp", "ext/boost/detail/atomic_count.hpp", "ext/boost/detail/atomic_count_gcc.hpp", "ext/boost/detail/atomic_count_gcc_x86.hpp", "ext/boost/detail/atomic_count_pthreads.hpp", "ext/boost/detail/atomic_count_solaris.hpp", "ext/boost/detail/atomic_count_sync.hpp", "ext/boost/detail/atomic_count_win32.hpp", "ext/boost/detail/bad_weak_ptr.hpp", "ext/boost/detail/call_traits.hpp", "ext/boost/detail/endian.hpp", "ext/boost/detail/indirect_traits.hpp", "ext/boost/detail/iterator.hpp", "ext/boost/detail/lcast_precision.hpp", "ext/boost/detail/limits.hpp", "ext/boost/detail/reference_content.hpp", "ext/boost/detail/shared_count.hpp", "ext/boost/detail/sp_counted_base.hpp", "ext/boost/detail/sp_counted_base_acc_ia64.hpp", "ext/boost/detail/sp_counted_base_cw_ppc.hpp", "ext/boost/detail/sp_counted_base_cw_x86.hpp", "ext/boost/detail/sp_counted_base_gcc_ia64.hpp", "ext/boost/detail/sp_counted_base_gcc_ppc.hpp", "ext/boost/detail/sp_counted_base_gcc_sparc.hpp", "ext/boost/detail/sp_counted_base_gcc_x86.hpp", "ext/boost/detail/sp_counted_base_nt.hpp", "ext/boost/detail/sp_counted_base_pt.hpp", "ext/boost/detail/sp_counted_base_solaris.hpp", "ext/boost/detail/sp_counted_base_sync.hpp", "ext/boost/detail/sp_counted_base_w32.hpp", "ext/boost/detail/sp_counted_impl.hpp", "ext/boost/detail/sp_typeinfo.hpp", "ext/boost/detail/workaround.hpp", "ext/boost/function/detail/function_iterate.hpp", "ext/boost/function/detail/maybe_include.hpp", "ext/boost/function/detail/prologue.hpp", "ext/boost/function/function_base.hpp", "ext/boost/function/function_template.hpp", "ext/boost/io/ios_state.hpp", "ext/boost/iterator/detail/config_def.hpp", "ext/boost/iterator/detail/config_undef.hpp", "ext/boost/iterator/detail/enable_if.hpp", "ext/boost/iterator/detail/facade_iterator_category.hpp", "ext/boost/iterator/detail/minimum_category.hpp", "ext/boost/iterator/interoperable.hpp", "ext/boost/iterator/iterator_adaptor.hpp", "ext/boost/iterator/iterator_categories.hpp", "ext/boost/iterator/iterator_facade.hpp", "ext/boost/iterator/iterator_traits.hpp", "ext/boost/iterator/reverse_iterator.hpp", "ext/boost/iterator/transform_iterator.hpp", "ext/boost/mpl/always.hpp", "ext/boost/mpl/and.hpp", "ext/boost/mpl/apply.hpp", "ext/boost/mpl/apply_fwd.hpp", "ext/boost/mpl/apply_wrap.hpp", "ext/boost/mpl/arg.hpp", "ext/boost/mpl/arg_fwd.hpp", "ext/boost/mpl/assert.hpp", "ext/boost/mpl/aux_/adl_barrier.hpp", "ext/boost/mpl/aux_/arg_typedef.hpp", "ext/boost/mpl/aux_/arity.hpp", "ext/boost/mpl/aux_/arity_spec.hpp", "ext/boost/mpl/aux_/common_name_wknd.hpp", "ext/boost/mpl/aux_/config/adl.hpp", "ext/boost/mpl/aux_/config/arrays.hpp", "ext/boost/mpl/aux_/config/bind.hpp", "ext/boost/mpl/aux_/config/compiler.hpp", "ext/boost/mpl/aux_/config/ctps.hpp", "ext/boost/mpl/aux_/config/dtp.hpp", "ext/boost/mpl/aux_/config/eti.hpp", "ext/boost/mpl/aux_/config/gcc.hpp", "ext/boost/mpl/aux_/config/has_apply.hpp", "ext/boost/mpl/aux_/config/has_xxx.hpp", "ext/boost/mpl/aux_/config/integral.hpp", "ext/boost/mpl/aux_/config/intel.hpp", "ext/boost/mpl/aux_/config/lambda.hpp", "ext/boost/mpl/aux_/config/msvc.hpp", "ext/boost/mpl/aux_/config/msvc_typename.hpp", "ext/boost/mpl/aux_/config/nttp.hpp", "ext/boost/mpl/aux_/config/overload_resolution.hpp", "ext/boost/mpl/aux_/config/pp_counter.hpp", "ext/boost/mpl/aux_/config/preprocessor.hpp", "ext/boost/mpl/aux_/config/static_constant.hpp", "ext/boost/mpl/aux_/config/ttp.hpp", "ext/boost/mpl/aux_/config/use_preprocessed.hpp", "ext/boost/mpl/aux_/config/workaround.hpp", "ext/boost/mpl/aux_/full_lambda.hpp", "ext/boost/mpl/aux_/has_apply.hpp", "ext/boost/mpl/aux_/has_type.hpp", "ext/boost/mpl/aux_/include_preprocessed.hpp", "ext/boost/mpl/aux_/integral_wrapper.hpp", "ext/boost/mpl/aux_/lambda_arity_param.hpp", "ext/boost/mpl/aux_/lambda_support.hpp", "ext/boost/mpl/aux_/msvc_never_true.hpp", "ext/boost/mpl/aux_/na.hpp", "ext/boost/mpl/aux_/na_assert.hpp", "ext/boost/mpl/aux_/na_fwd.hpp", "ext/boost/mpl/aux_/na_spec.hpp", "ext/boost/mpl/aux_/nested_type_wknd.hpp", "ext/boost/mpl/aux_/nttp_decl.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/and.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/apply.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/apply_fwd.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/apply_wrap.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/arg.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/bind.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/bind_fwd.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/full_lambda.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/or.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/quote.hpp", "ext/boost/mpl/aux_/preprocessed/gcc/template_arity.hpp", "ext/boost/mpl/aux_/preprocessor/def_params_tail.hpp", "ext/boost/mpl/aux_/preprocessor/enum.hpp", "ext/boost/mpl/aux_/preprocessor/filter_params.hpp", "ext/boost/mpl/aux_/preprocessor/params.hpp", "ext/boost/mpl/aux_/preprocessor/sub.hpp", "ext/boost/mpl/aux_/static_cast.hpp", "ext/boost/mpl/aux_/template_arity.hpp", "ext/boost/mpl/aux_/template_arity_fwd.hpp", "ext/boost/mpl/aux_/type_wrapper.hpp", "ext/boost/mpl/aux_/value_wknd.hpp", "ext/boost/mpl/aux_/yes_no.hpp", "ext/boost/mpl/bind.hpp", "ext/boost/mpl/bind_fwd.hpp", "ext/boost/mpl/bool.hpp", "ext/boost/mpl/bool_fwd.hpp", "ext/boost/mpl/eval_if.hpp", "ext/boost/mpl/has_xxx.hpp", "ext/boost/mpl/identity.hpp", "ext/boost/mpl/if.hpp", "ext/boost/mpl/int.hpp", "ext/boost/mpl/int_fwd.hpp", "ext/boost/mpl/integral_c.hpp", "ext/boost/mpl/integral_c_fwd.hpp", "ext/boost/mpl/integral_c_tag.hpp", "ext/boost/mpl/lambda.hpp", "ext/boost/mpl/lambda_fwd.hpp", "ext/boost/mpl/limits/arity.hpp", "ext/boost/mpl/logical.hpp", "ext/boost/mpl/next.hpp", "ext/boost/mpl/next_prior.hpp", "ext/boost/mpl/not.hpp", "ext/boost/mpl/or.hpp", "ext/boost/mpl/placeholders.hpp", "ext/boost/mpl/protect.hpp", "ext/boost/mpl/quote.hpp", "ext/boost/mpl/size_t.hpp", "ext/boost/mpl/size_t_fwd.hpp", "ext/boost/mpl/void.hpp", "ext/boost/mpl/void_fwd.hpp", "ext/boost/optional/optional.hpp", "ext/boost/optional/optional_fwd.hpp", "ext/boost/preprocessor/arithmetic/add.hpp", "ext/boost/preprocessor/arithmetic/dec.hpp", "ext/boost/preprocessor/arithmetic/inc.hpp", "ext/boost/preprocessor/arithmetic/sub.hpp", "ext/boost/preprocessor/array/data.hpp", "ext/boost/preprocessor/array/elem.hpp", "ext/boost/preprocessor/array/size.hpp", "ext/boost/preprocessor/cat.hpp", "ext/boost/preprocessor/comma_if.hpp", "ext/boost/preprocessor/config/config.hpp", "ext/boost/preprocessor/control/detail/while.hpp", "ext/boost/preprocessor/control/expr_iif.hpp", "ext/boost/preprocessor/control/if.hpp", "ext/boost/preprocessor/control/iif.hpp", "ext/boost/preprocessor/control/while.hpp", "ext/boost/preprocessor/debug/error.hpp", "ext/boost/preprocessor/detail/auto_rec.hpp", "ext/boost/preprocessor/detail/check.hpp", "ext/boost/preprocessor/detail/is_binary.hpp", "ext/boost/preprocessor/empty.hpp", "ext/boost/preprocessor/enum.hpp", "ext/boost/preprocessor/enum_params.hpp", "ext/boost/preprocessor/facilities/empty.hpp", "ext/boost/preprocessor/facilities/identity.hpp", "ext/boost/preprocessor/identity.hpp", "ext/boost/preprocessor/inc.hpp", "ext/boost/preprocessor/iterate.hpp", "ext/boost/preprocessor/iteration/detail/bounds/lower1.hpp", "ext/boost/preprocessor/iteration/detail/bounds/upper1.hpp", "ext/boost/preprocessor/iteration/detail/iter/forward1.hpp", "ext/boost/preprocessor/iteration/iterate.hpp", "ext/boost/preprocessor/list/adt.hpp", "ext/boost/preprocessor/list/append.hpp", "ext/boost/preprocessor/list/detail/fold_left.hpp", "ext/boost/preprocessor/list/detail/fold_right.hpp", "ext/boost/preprocessor/list/fold_left.hpp", "ext/boost/preprocessor/list/fold_right.hpp", "ext/boost/preprocessor/list/for_each_i.hpp", "ext/boost/preprocessor/list/reverse.hpp", "ext/boost/preprocessor/list/transform.hpp", "ext/boost/preprocessor/logical/and.hpp", "ext/boost/preprocessor/logical/bitand.hpp", "ext/boost/preprocessor/logical/bool.hpp", "ext/boost/preprocessor/logical/compl.hpp", "ext/boost/preprocessor/punctuation/comma.hpp", "ext/boost/preprocessor/punctuation/comma_if.hpp", "ext/boost/preprocessor/repeat.hpp", "ext/boost/preprocessor/repetition/detail/for.hpp", "ext/boost/preprocessor/repetition/enum.hpp", "ext/boost/preprocessor/repetition/enum_binary_params.hpp", "ext/boost/preprocessor/repetition/enum_params.hpp", "ext/boost/preprocessor/repetition/for.hpp", "ext/boost/preprocessor/repetition/repeat.hpp", "ext/boost/preprocessor/repetition/repeat_from_to.hpp", "ext/boost/preprocessor/seq/elem.hpp", "ext/boost/preprocessor/seq/enum.hpp", "ext/boost/preprocessor/seq/for_each_i.hpp", "ext/boost/preprocessor/seq/seq.hpp", "ext/boost/preprocessor/seq/size.hpp", "ext/boost/preprocessor/slot/detail/def.hpp", "ext/boost/preprocessor/slot/detail/shared.hpp", "ext/boost/preprocessor/slot/slot.hpp", "ext/boost/preprocessor/stringize.hpp", "ext/boost/preprocessor/tuple/eat.hpp", "ext/boost/preprocessor/tuple/elem.hpp", "ext/boost/preprocessor/tuple/rem.hpp", "ext/boost/preprocessor/tuple/to_list.hpp", "ext/boost/range/as_literal.hpp", "ext/boost/range/begin.hpp", "ext/boost/range/config.hpp", "ext/boost/range/const_iterator.hpp", "ext/boost/range/detail/common.hpp", "ext/boost/range/detail/implementation_help.hpp", "ext/boost/range/detail/sfinae.hpp", "ext/boost/range/detail/str_types.hpp", "ext/boost/range/difference_type.hpp", "ext/boost/range/distance.hpp", "ext/boost/range/empty.hpp", "ext/boost/range/end.hpp", "ext/boost/range/functions.hpp", "ext/boost/range/iterator.hpp", "ext/boost/range/iterator_range.hpp", "ext/boost/range/mutable_iterator.hpp", "ext/boost/range/rbegin.hpp", "ext/boost/range/rend.hpp", "ext/boost/range/reverse_iterator.hpp", "ext/boost/range/size.hpp", "ext/boost/range/size_type.hpp", "ext/boost/range/value_type.hpp", "ext/boost/thread/condition.hpp", "ext/boost/thread/condition_variable.hpp", "ext/boost/thread/detail/config.hpp", "ext/boost/thread/detail/move.hpp", "ext/boost/thread/detail/platform.hpp", "ext/boost/thread/exceptions.hpp", "ext/boost/thread/locks.hpp", "ext/boost/thread/mutex.hpp", "ext/boost/thread/once.hpp", "ext/boost/thread/pthread/condition_variable.hpp", "ext/boost/thread/pthread/condition_variable_fwd.hpp", "ext/boost/thread/pthread/mutex.hpp", "ext/boost/thread/pthread/once.hpp", "ext/boost/thread/pthread/pthread_mutex_scoped_lock.hpp", "ext/boost/thread/pthread/recursive_mutex.hpp", "ext/boost/thread/pthread/thread.hpp", "ext/boost/thread/pthread/thread_data.hpp", "ext/boost/thread/pthread/timespec.hpp", "ext/boost/thread/pthread/tss.hpp", "ext/boost/thread/recursive_mutex.hpp", "ext/boost/thread/thread.hpp", "ext/boost/thread/thread_time.hpp", "ext/boost/thread/tss.hpp", "ext/boost/thread/xtime.hpp", "ext/boost/type_traits/add_const.hpp", "ext/boost/type_traits/add_pointer.hpp", "ext/boost/type_traits/add_reference.hpp", "ext/boost/type_traits/alignment_of.hpp", "ext/boost/type_traits/broken_compiler_spec.hpp", "ext/boost/type_traits/composite_traits.hpp", "ext/boost/type_traits/config.hpp", "ext/boost/type_traits/conversion_traits.hpp", "ext/boost/type_traits/detail/bool_trait_def.hpp", "ext/boost/type_traits/detail/bool_trait_undef.hpp", "ext/boost/type_traits/detail/cv_traits_impl.hpp", "ext/boost/type_traits/detail/false_result.hpp", "ext/boost/type_traits/detail/ice_and.hpp", "ext/boost/type_traits/detail/ice_eq.hpp", "ext/boost/type_traits/detail/ice_not.hpp", "ext/boost/type_traits/detail/ice_or.hpp", "ext/boost/type_traits/detail/is_function_ptr_helper.hpp", "ext/boost/type_traits/detail/is_mem_fun_pointer_impl.hpp", "ext/boost/type_traits/detail/size_t_trait_def.hpp", "ext/boost/type_traits/detail/size_t_trait_undef.hpp", "ext/boost/type_traits/detail/template_arity_spec.hpp", "ext/boost/type_traits/detail/type_trait_def.hpp", "ext/boost/type_traits/detail/type_trait_undef.hpp", "ext/boost/type_traits/detail/yes_no_type.hpp", "ext/boost/type_traits/function_traits.hpp", "ext/boost/type_traits/has_nothrow_copy.hpp", "ext/boost/type_traits/has_trivial_copy.hpp", "ext/boost/type_traits/ice.hpp", "ext/boost/type_traits/integral_constant.hpp", "ext/boost/type_traits/intrinsics.hpp", "ext/boost/type_traits/is_abstract.hpp", "ext/boost/type_traits/is_arithmetic.hpp", "ext/boost/type_traits/is_array.hpp", "ext/boost/type_traits/is_class.hpp", "ext/boost/type_traits/is_const.hpp", "ext/boost/type_traits/is_convertible.hpp", "ext/boost/type_traits/is_enum.hpp", "ext/boost/type_traits/is_float.hpp", "ext/boost/type_traits/is_function.hpp", "ext/boost/type_traits/is_integral.hpp", "ext/boost/type_traits/is_member_function_pointer.hpp", "ext/boost/type_traits/is_member_pointer.hpp", "ext/boost/type_traits/is_pod.hpp", "ext/boost/type_traits/is_pointer.hpp", "ext/boost/type_traits/is_reference.hpp", "ext/boost/type_traits/is_same.hpp", "ext/boost/type_traits/is_scalar.hpp", "ext/boost/type_traits/is_union.hpp", "ext/boost/type_traits/is_void.hpp", "ext/boost/type_traits/is_volatile.hpp", "ext/boost/type_traits/remove_const.hpp", "ext/boost/type_traits/remove_cv.hpp", "ext/boost/type_traits/remove_pointer.hpp", "ext/boost/type_traits/remove_reference.hpp", "ext/boost/type_traits/type_with_alignment.hpp", "ext/boost/utility/addressof.hpp", "ext/boost/utility/base_from_member.hpp", "ext/boost/utility/compare_pointees.hpp", "ext/boost/utility/enable_if.hpp", "ext/boost/src/pthread/exceptions.cpp", "ext/boost/src/pthread/once.cpp", "ext/boost/src/pthread/thread.cpp", "ext/boost/src/tss_null.cpp", "ext/boost/src/win32/exceptions.cpp", "ext/boost/src/win32/thread.cpp", "ext/boost/src/win32/tss_dll.cpp", "ext/boost/src/win32/tss_pe.cpp", "ext/boost/src/pthread/timeconv.inl", "ext/boost/src/win32/timeconv.inl", "ext/boost/date_time/gregorian_calendar.ipp", "ext/oxt/backtrace.hpp", "ext/oxt/macros.hpp", "ext/oxt/spin_lock.hpp", "ext/oxt/system_calls.hpp", "ext/oxt/thread.hpp", "ext/oxt/tracable_exception.hpp", "ext/oxt/backtrace.cpp", "ext/oxt/system_calls.cpp", "ext/oxt/thread.cpp", "ext/oxt/tracable_exception.cpp", "ext/oxt/detail/backtrace_disabled.hpp", "ext/oxt/detail/backtrace_enabled.hpp", "ext/oxt/detail/spin_lock_gcc_x86.hpp", "ext/oxt/detail/spin_lock_portable.hpp", "ext/oxt/detail/spin_lock_pthreads.hpp", "ext/oxt/detail/tracable_exception_disabled.hpp", "ext/oxt/detail/tracable_exception_enabled.hpp", "ext/phusion_passenger/native_support.c", "ext/phusion_passenger/extconf.rb", "benchmark/ApplicationPool.cpp", "benchmark/accept_vs_socketpair_vs_named_pipes.rb", "benchmark/dispatcher.rb", "benchmark/overhead_of_password_checking.rb", "benchmark/socket_connections_vs_persistent_pipe.rb", "benchmark/unix_sockets_vs_pipes.rb", "misc/copy_boost_headers.rb", "misc/find_owner_pipe_leaks.rb", "misc/render_error_pages.rb", "misc/rake/cplusplus.rb", "misc/rake/extensions.rb", "misc/rake/gempackagetask.rb", "misc/rake/packagetask.rb", "misc/rake/rdoctask.rb", "test/ApplicationPoolServer_ApplicationPoolTest.cpp", "test/ApplicationPoolServerTest.cpp", "test/ApplicationPoolTest.cpp", "test/Base64Test.cpp", "test/CachedFileStatTest.cpp", "test/CxxTestMain.cpp", "test/FileChangeCheckerTest.cpp", "test/HttpStatusExtractorTest.cpp", "test/MessageChannelTest.cpp", "test/PoolOptionsTest.cpp", "test/ScgiRequestParserTest.cpp", "test/SpawnManagerTest.cpp", "test/StandardApplicationPoolTest.cpp", "test/StaticStringTest.cpp", "test/SystemTimeTest.cpp", "test/UtilsTest.cpp", "test/config.yml.example", "test/support/Support.cpp", "test/support/Support.h", "test/support/tut.h", "test/support/tut_reporter.h", "test/support/valgrind.h", "test/support/apache2_controller.rb", "test/support/config.rb", "test/support/multipart.rb", "test/support/nginx_controller.rb", "test/support/run_rspec_tests.rb", "test/support/test_helper.rb", "test/oxt/backtrace_test.cpp", "test/oxt/oxt_test_main.cpp", "test/oxt/syscall_interruption_test.cpp", "test/ruby/abstract_request_handler_spec.rb", "test/ruby/abstract_server_collection_spec.rb", "test/ruby/abstract_server_spec.rb", "test/ruby/application_spec.rb", "test/ruby/message_channel_spec.rb", "test/ruby/rack/application_spawner_spec.rb", "test/ruby/rails/application_spawner_spec.rb", "test/ruby/rails/framework_spawner_spec.rb", "test/ruby/rails/minimal_spawner_spec.rb", "test/ruby/rails/spawner_error_handling_spec.rb", "test/ruby/rails/spawner_privilege_lowering_spec.rb", "test/ruby/spawn_manager_spec.rb", "test/ruby/spawn_server_spec.rb", "test/ruby/utils_spec.rb", "test/ruby/wsgi/application_spawner_spec.rb", "test/integration_tests/apache2_tests.rb", "test/integration_tests/hello_world_rack_spec.rb", "test/integration_tests/hello_world_wsgi_spec.rb", "test/integration_tests/mycook_spec.rb", "test/integration_tests/nginx_tests.rb", "test/stub/apache2/httpd.conf.erb", "test/stub/apache2/mime.types", "test/stub/garbage1.dat", "test/stub/garbage2.dat", "test/stub/garbage3.dat", "test/stub/http_request.yml", "test/stub/message_channel.rb", "test/stub/message_channel_2.rb", "test/stub/message_channel_3.rb", "test/stub/MessageServer.dSYM/Contents/Info.plist", "test/stub/MessageServer.dSYM/Contents/Resources/DWARF/MessageServer", "test/stub/nginx/koi-utf", "test/stub/nginx/koi-win", "test/stub/nginx/mime.types", "test/stub/nginx/nginx.conf.erb", "test/stub/nginx/win-utf", "test/stub/rack/config.ru", "test/stub/rack/public/rack.jpg", "test/stub/rails_apps/foobar/app/controllers/application.rb", "test/stub/rails_apps/foobar/app/controllers/bar_controller_1.rb", "test/stub/rails_apps/foobar/app/controllers/bar_controller_2.rb", "test/stub/rails_apps/foobar/app/controllers/foo_controller.rb", "test/stub/rails_apps/foobar/app/helpers/application_helper.rb", "test/stub/rails_apps/foobar/config/boot.rb", "test/stub/rails_apps/foobar/config/database.yml", "test/stub/rails_apps/foobar/config/environment.rb", "test/stub/rails_apps/foobar/config/environments/development.rb", "test/stub/rails_apps/foobar/config/environments/production.rb", "test/stub/rails_apps/foobar/config/initializers/inflections.rb", "test/stub/rails_apps/foobar/config/initializers/mime_types.rb", "test/stub/rails_apps/foobar/config/routes.rb", "test/stub/rails_apps/mycook/app/controllers/application.rb", "test/stub/rails_apps/mycook/app/controllers/recipes_controller.rb", "test/stub/rails_apps/mycook/app/controllers/uploads_controller.rb", "test/stub/rails_apps/mycook/app/controllers/welcome_controller.rb", "test/stub/rails_apps/mycook/app/helpers/application_helper.rb", "test/stub/rails_apps/mycook/app/views/layouts/default.rhtml", "test/stub/rails_apps/mycook/app/views/recipes/create.rhtml", "test/stub/rails_apps/mycook/app/views/recipes/index.rhtml", "test/stub/rails_apps/mycook/app/views/recipes/new.rhtml", "test/stub/rails_apps/mycook/app/views/uploads/index.rhtml", "test/stub/rails_apps/mycook/app/views/uploads/new.html.erb", "test/stub/rails_apps/mycook/app/views/welcome/cached.rhtml", "test/stub/rails_apps/mycook/app/views/welcome/index.rhtml", "test/stub/rails_apps/mycook/config/boot.rb", "test/stub/rails_apps/mycook/config/database.yml", "test/stub/rails_apps/mycook/config/environment.rb", "test/stub/rails_apps/mycook/config/environments/development.rb", "test/stub/rails_apps/mycook/config/environments/production.rb", "test/stub/rails_apps/mycook/config/initializers/inflections.rb", "test/stub/rails_apps/mycook/config/initializers/mime_types.rb", "test/stub/rails_apps/mycook/config/routes.rb", "test/stub/rails_apps/mycook/log/useless.txt", "test/stub/rails_apps/mycook/public/404.html", "test/stub/rails_apps/mycook/public/422.html", "test/stub/rails_apps/mycook/public/500.html", "test/stub/rails_apps/mycook/public/dispatch.cgi", "test/stub/rails_apps/mycook/public/dispatch.fcgi", "test/stub/rails_apps/mycook/public/dispatch.rb", "test/stub/rails_apps/mycook/public/favicon.ico", "test/stub/rails_apps/mycook/public/images/angrywizard.gif", "test/stub/rails_apps/mycook/public/images/cookbook.gif", "test/stub/rails_apps/mycook/public/images/header.png", "test/stub/rails_apps/mycook/public/images/rails.png", "test/stub/rails_apps/mycook/public/javascripts/application.js", "test/stub/rails_apps/mycook/public/javascripts/controls.js", "test/stub/rails_apps/mycook/public/javascripts/dragdrop.js", "test/stub/rails_apps/mycook/public/javascripts/effects.js", "test/stub/rails_apps/mycook/public/javascripts/prototype.js", "test/stub/rails_apps/mycook/public/robots.txt", "test/stub/rails_apps/mycook/public/uploads.html", "test/stub/rails_apps/mycook/public/welcome/cached.html", "test/stub/rails_apps/mycook/sites/some.site/public/uploads.html", "test/stub/rails_apps/mycook/sites/some.site/public/welcome/cached.html", "test/stub/rails_apps/mycook/tmp/cache/useless.txt", "test/stub/rails_apps/mycook/tmp/pids/useless.txt", "test/stub/rails_apps/mycook/tmp/sessions/useless.txt", "test/stub/rails_apps/mycook/tmp/sockets/useless.txt", "test/stub/spawn_server.rb", "test/stub/upload_data.txt", "test/stub/vendor_rails/minimal/actionmailer/lib/action_mailer.rb", "test/stub/vendor_rails/minimal/actionpack/lib/action_controller.rb", "test/stub/vendor_rails/minimal/actionpack/lib/action_pack.rb", "test/stub/vendor_rails/minimal/actionpack/lib/action_view.rb", "test/stub/vendor_rails/minimal/activerecord/lib/active_record.rb", "test/stub/vendor_rails/minimal/activeresource/lib/active_resource.rb", "test/stub/vendor_rails/minimal/activesupport/lib/active_support/whiny_nil.rb", "test/stub/vendor_rails/minimal/activesupport/lib/active_support.rb", "test/stub/vendor_rails/minimal/railties/lib/dispatcher.rb", "test/stub/vendor_rails/minimal/railties/lib/initializer.rb", "test/stub/vendor_rails/minimal/railties/lib/ruby_version_check.rb", "test/stub/vendor_rails/minimal/README", "test/stub/wsgi/passenger_wsgi.py", "test/stub/wsgi/passenger_wsgi.pyc", "test/stub/wsgi/public/wsgi-snake.jpg", "test/stub/zsfa/header.png", "test/stub/zsfa/index.html", "test/stub/zsfa/zsfa.png"]
  s.homepage = %q{http://www.modrails.com/}
  s.rdoc_options = ["-S", "-N", "-p", "-H", "--main", "README", "--title", "Passenger Ruby API"]
  s.require_paths = ["lib", "ext"]
  s.requirements = ["fastthread", "Apache 2 with development headers"]
  s.rubyforge_project = %q{passenger}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Apache module for Ruby on Rails support.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0.8.1"])
      s.add_runtime_dependency(%q<fastthread>, [">= 1.0.1"])
      s.add_runtime_dependency(%q<rack>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0.8.1"])
      s.add_dependency(%q<fastthread>, [">= 1.0.1"])
      s.add_dependency(%q<rack>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0.8.1"])
    s.add_dependency(%q<fastthread>, [">= 1.0.1"])
    s.add_dependency(%q<rack>, [">= 0"])
  end
end
